function varargout = deg2rad(varargin)
%DEG2RAD Convert degrees to radian
%
% [r1, r2, ...] = deg2rad(d1, d2, ...)
%
%  This functions accepts multiple inputs. Each one of these input may be a
%  matrix (or a numerical array of higher dimensions). There are as many
%  output arguments as there are input arguments. The i-th output argument
%  has the same size as the i-th input argument.
%
% 2011/06/10, Florent Brunet

% This file is part of MISC.
%
% MISC is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% MISC is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with MISC.  If not, see <http://www.gnu.org/licenses/>.

for ii = 1:nargin
    tmp = varargin{ii};
    varargout{ii} = pi*tmp/180;
end
